dnl======================================================================
dnl GDS_CHECK_METAIO
dnl   Check if METAIO is installed
dnl======================================================================

AC_DEFUN([AC_GDS_CHECK_METAIO],
[
  have_metaio=
  PKG_CHECK_MODULES(METAIO, libmetaio, have_metaio="yes", have_metaio="no")
  if test "${have_metaio}" = "yes"
  then
    metaiovsn=`pkg-config --modversion libmetaio | sed -e 's,\.,0,g'`
    metaiolibs="$METAIO_LIBS"
    metaiocflags="$METAIO_CFLAGS -DMETAIO_VSN=$metaiovsn"
  fi
  if test "${have_metaio}" = "no"
  then
    metaiolibs="-lmetaio"
    metaiocflags=""
  fi
  AM_CONDITIONAL([require_metaio], [test "$have_metaio" = no])
  AC_SUBST(metaiolibs)
  AC_SUBST(metaiocflags)
  dnl--------------------------------------------------------------------
  dnl Verify if the header file is C++ compatable
  dnl--------------------------------------------------------------------
  AC_LANG_PUSH([C++])
  AC_COMPILE_IFELSE([AC_LANG_PROGRAM([
  extern "C" {
  #include<metaio.h>
  }
  ],[])],
  [AC_DEFINE([HAVE_CPLUSPLUS_COMPATABLE_METAIO_H],[1],[Defined if C++ working version of metaio.h is available])])
  AC_LANG_POP([C++])
])
